%define build_debug 0
%{?_with_debug: %{expand: %%global build_debug 1}}

%define name_orig	qca
%define qtdir		%{_prefix}/lib/qt4
%define qtcryptodir	%{qtdir}/plugins/%{_lib}/crypto
%define lib_name_orig	lib%{name_orig}
%define lib_major	2
%define lib_name	%mklibname %{name_orig} %{lib_major}
%define source_ver	%{version}-beta2
# Plugin versions
%define gnupg_ver      0.1-20060406
%define gnupg_ver_pack      0.1.20060406
%define openssl_ver    0.1-20060406
%define openssl_ver_pack    0.1.20060406
%define pkcs11_ver     0.1-20060407
%define pkcs11_ver_pack     0.1.20060407

Name: qca2-plugins
Version:	2.0
Release:	%mkrel 0.beta2.2
License:	LGPL
Summary:	Straightforward and cross-platform crypto API for Qt
Group:		System/Libraries
URL:		http://delta.affinix.com/qca
Source0: http://delta.affinix.com/download/qca/%{version}/beta2/qca-gnupg-%{gnupg_ver}.tar.bz2
Source1: http://delta.affinix.com/download/qca/%{version}/beta2/qca-openssl-%{openssl_ver}.tar.bz2
Source2: http://delta.affinix.com/download/qca/%{version}/beta2/qca-pkcs11-%{pkcs11_ver}.tar.bz2
# Patch3 explicitly includes qcaprovider.h to solve a compilation problem
Patch0: %{name_orig}-2.0-beta2-qcaprovider.patch
# Patch4 turns debug off for plugins
Patch1: qca-2.0-beta2-plugins-debugoff.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
# Only Qt 4.1 is really needed, but older Qt RPMs were quite buggy.
BuildRequires:	qt4-devel >= 2:4.1.1
BuildRequires:	qca2-devel >= 2.0

%description
The QCA plugins provides crypto modules for qca2

#------------------------------------------------------------------------------

%package -n qca2-plugin-gnupg-%{_lib}
Summary: GnuPG plugin for QCA
Group: Development/KDE and Qt
Version: %{gnupg_ver_pack}
Requires: %{lib_name} >= 2.0
Requires: gnupg

%description -n qca2-plugin-gnupg-%{_lib}
This is a plugin to provide GnuPG capability to programs that
utilize the Qt Cryptographic Architecture (QCA).

%files -n qca2-plugin-gnupg-%{_lib}
%defattr(0644,root,root,0755)
%attr(0755,root,root) %{qtdir}/plugins/%{_lib}/crypto/libqca-gnupg.so

#------------------------------------------------------------------------------

%package -n qca2-plugin-openssl-%{_lib}
Summary:       OpenSSL plugin for QCA
Group:         Development/KDE and Qt
Version: %{openssl_ver_pack}
Requires: %{lib_name} >= 2.0
BuildRequires: openssl-devel

%description -n qca2-plugin-openssl-%{_lib}
This is a plugin to provide OpenSSL capability to programs that
utilize the Qt Cryptographic Architecture (QCA).

%files -n qca2-plugin-openssl-%{_lib}
%defattr(0644,root,root,0755)
%attr(0755,root,root) %{qtdir}/plugins/%{_lib}/crypto/libqca-openssl.so

#------------------------------------------------------------------------------

%package -n qca2-plugin-pkcs11-%{_lib}
Summary: PKCS11 plugin for QCA
Group: Development/KDE and Qt
Version: %{pkcs11_ver_pack}
Requires: %{lib_name} >= 2.0
BuildRequires: openssl-devel

%description -n qca2-plugin-pkcs11-%{_lib}
This is a plugin to provide PKCS11 capability to programs that
utilize the Qt Cryptographic Architecture (QCA).

%files -n qca2-plugin-pkcs11-%{_lib}
%defattr(0644,root,root,0755)
%attr(0755,root,root) %{qtdir}/plugins/%{_lib}/crypto/libqca-pkcs11.so

#------------------------------------------------------------------------------

%prep
%setup -q -c -n %{name_orig}-%{source_ver} 
%setup -q -n %{name_orig}-%{source_ver} -T -D -a 0
%setup -q -n %{name_orig}-%{source_ver} -T -D -a 1
%setup -q -n %{name_orig}-%{source_ver} -T -D -a 2

%patch0 -p1 -b .qcaprovider
%patch1 -p1 -b .qca-debugoff

%build
for plugin in qca-gnupg-%{gnupg_ver} qca-openssl-%{openssl_ver} qca-pkcs11-%{pkcs11_ver}; do
  pushd $plugin
    ./configure --qtdir=%{qtdir}
    make
  popd
done

%install
rm -rf %{buildroot}
for plugin in qca-gnupg-%{gnupg_ver} qca-openssl-%{openssl_ver} qca-pkcs11-%{pkcs11_ver}; do
  pushd $plugin
    make install INSTALL_ROOT=%{buildroot}
  popd
done

%clean
rm -rf %buildroot



%changelog
* Tue May 09 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-05-09 17:05:54 (27025)
- Raise version

* Tue May 09 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-05-09 17:04:00 (27024)
- Wrong requires for version of lib64qca2

* Tue May 09 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-05-09 16:52:00 (27023)
- New plugins package. Thanks to Cliff Dugal and David Walluck
- Plugin names ar modified to match current ones on qt4 package

* Tue May 09 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-05-09 16:21:49 (27020)
- Created package qca2-plugins

* Thu May 04 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-05-04 16:44:06 (26885)
- qt4 is not nice with parallel building :-(

* Thu May 04 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-05-04 16:33:55 (26884)
- New layout for package. Thanks to Cliff Dugal for his work.

* Fri Apr 07 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-04-07 16:39:39 (26381)
- New upstream release beta2
- New package thanks to Cliff Dugal. Post adjusts will be needed

* Mon Mar 06 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-03-06 01:04:48 (1870)
- Fix pkgconfig install dir

* Mon Mar 06 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-03-06 00:42:15 (1869)
- Fix typo

* Mon Mar 06 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-03-06 00:12:04 (1867)
- Be assure that lib is installed in proper arch dir

* Sun Mar 05 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-03-05 23:50:17 (1866)
- First package for qca2 ready. A good solution to sit in Qt space for this
  specific qca sets comes to avoid problems between old and new qca packages

* Sat Mar 04 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-03-04 16:06:13 (1860)
- Copy old qca package to create new qca2 package
  A    svn+ssh://helio@svn.mandriva.com/svn/mdv/cooker/qca2

* Mon Dec 12 2005 Helio Chissini de Castro <helio@mandriva.com>
+ 2005-12-12 19:27:18 (1288)
- Proper patch for libdir

* Mon Dec 12 2005 Helio Chissini de Castro <helio@mandriva.com>
+ 2005-12-12 19:20:41 (1287)
- Patch for lib64 should be applied just for 64

* Mon Dec 12 2005 Helio Chissini de Castro <helio@mandriva.com>
+ 2005-12-12 19:16:49 (1286)
- Initial svn import
- Relocate plugins for correct arch path, lib64 or lib.
- Cleaned spec removing old perl changes for lib64. Now just one patch is needed

* Mon Dec 12 2005 Helio Chissini de Castro <helio@mandriva.com>
+ 2005-12-12 18:16:27 (1282)
- Create current for qca package
